### Hierarchy

- Run
  - TextRun

## Index

### Constructors

- constructor

### Accessors

- IsDeleted

### Methods

- addChildElement
- allCaps
- bold
- break
- color
- delete
- doubleStrike
- font
- italic
- pageNumber
- prepForXml
- rightToLeft
- size
- smallCaps
- strike
- style
- subScript
- superScript
- tab
- underline

## Constructors

### constructor

- new TextRun(text: string): TextRun

- Overrides Run.constructor

  - Defined in file/paragraph/run/text-run.ts:4

  #### Parameters

  - ##### text: string

  #### Returns TextRun

## Accessors

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### allCaps

- allCaps(): Run

- Inherited from Run.allCaps

  - Defined in file/paragraph/run/run.ts:91

  #### Returns Run

### bold

- bold(): Run

- Inherited from Run.bold

  - Defined in file/paragraph/run/run.ts:35

  #### Returns Run

### break

- break(): Run

- Inherited from Run.break

  - Defined in file/paragraph/run/run.ts:68

  #### Returns Run

### color

- color(color: string): Run

- Inherited from Run.color

  - Defined in file/paragraph/run/run.ts:52

  #### Parameters

  - ##### color: string

  #### Returns Run

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### doubleStrike

- doubleStrike(): Run

- Inherited from Run.doubleStrike

  - Defined in file/paragraph/run/run.ts:101

  #### Returns Run

### font

- font(fontName: string, hint?: string | undefined): Run

- Inherited from Run.font

  - Defined in file/paragraph/run/run.ts:116

  #### Parameters

  - ##### fontName: string

  - ##### Optional hint: string | undefined

  #### Returns Run

### italic

- italic(): Run

- Inherited from Run.italic

  - Defined in file/paragraph/run/run.ts:41

  #### Returns Run

### pageNumber

- pageNumber(): Run

- Inherited from Run.pageNumber

  - Defined in file/paragraph/run/run.ts:78

  #### Returns Run

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

### rightToLeft

- rightToLeft(): Run

- Inherited from Run.rightToLeft

  - Defined in file/paragraph/run/run.ts:63

  #### Returns Run

### size

- size(size: number): Run

- Inherited from Run.size

  - Defined in file/paragraph/run/run.ts:57

  #### Parameters

  - ##### size: number

  #### Returns Run

### smallCaps

- smallCaps(): Run

- Inherited from Run.smallCaps

  - Defined in file/paragraph/run/run.ts:86

  #### Returns Run

### strike

- strike(): Run

- Inherited from Run.strike

  - Defined in file/paragraph/run/run.ts:96

  #### Returns Run

### style

- style(styleId: string): Run

- Inherited from Run.style

  - Defined in file/paragraph/run/run.ts:121

  #### Parameters

  - ##### styleId: string

  #### Returns Run

### subScript

- subScript(): Run

- Inherited from Run.subScript

  - Defined in file/paragraph/run/run.ts:106

  #### Returns Run

### superScript

- superScript(): Run

- Inherited from Run.superScript

  - Defined in file/paragraph/run/run.ts:111

  #### Returns Run

### tab

- tab(): Run

- Inherited from Run.tab

  - Defined in file/paragraph/run/run.ts:73

  #### Returns Run

### underline

- underline(underlineType?: undefined | string, color?: undefined | string): Run

- Inherited from Run.underline

  - Defined in file/paragraph/run/run.ts:47

  #### Parameters

  - ##### Optional underlineType: undefined | string

  - ##### Optional color: undefined | string

  #### Returns Run

Generated using TypeDoc